<template>
  <div class="sidebar-left" :class="{open:isSidebarOpen}" style="overflow: hidden">
    <ul class="navigation-left">
      <li
        class="nav-item lvl1"
        :class="{'bg-active' : isActive(menu.slug)}"
        style="border-bottom:1px solid rgba(248,249,250,.05)"
        v-for="menu in menus" :key="menu.id"
      >
        <router-link
        
          :to="{name:menu.name}"
          style="color:#d9d7da;"
        >
          <div class="nav-item-hold" >
            <img :src="asset(menu.icon)" width="30pt" v-b-tooltip.hover :title="menu.name">
          </div>
        </router-link>
      </li>
    </ul>
  </div>
</template>
<script>
export default {
  data() {
    return {
      isHovered:false
    };
  },
  computed: {
    
    menus() {
      return this.$store.getters["sidebar/menus"];
    },
    activeMenu() {
      return this.$route.path.split('/')[2];
    },
  },
  methods:{
    isActive(menuSlug){
      return this.activeMenu == menuSlug
    }
  },
  created() {
    this.$store.dispatch("sidebar/getMenus");
  }
};
</script>
<style lang="scss" scoped>
.bg-active{
  background:#f5f7fa !important;
}
</style>
